-- 基础信息
base_info = {
	group_id = 133303126
}

-- DEFS_MISCS
defs =
{
	-- 受回流之柱控制的group id
	groupTable =
	{133303040,
	133303151,
	133303172,
	133303188,
	133303195,
	133303205,
	133303309,
	133303310,
	133303508,
	133303509,
	133303510,
	133303511,
	133303512,
	133303513,
	133303514,
	133303515,
	133303516,
	133303517,
	133303518,
	133303519,
	133303520,
	133303521,
	133303522,
	133303523,
	133303524,
	133303567,
	133303600,
	},

	-- 回流之柱所有中枢所在的group id
	deviceGroupTable =
	{133303257,
	133303552,
	133303553,
	},

	-- 照相gadget的config id
	photoTable = {126003, 126004,},

	-- 区域，用于断线重连时重新计算时间
	regionId = 126002,

	-- 回流之柱的config id
	waterSpoutId = 126001,

	-- 水柱升空的现实时间，单位为秒
	waterRise = 5,

	-- 水柱持平的现实时间，单位为秒
	waterStayup = 20,

	-- 水柱下降的现实时间，单位为秒
	waterDown = 5,
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 126001, gadget_id = 70270006, pos = { x = -1737.808, y = 118.789, z = 3256.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 30, area_id = 23 },
	{ config_id = 126003, gadget_id = 70270008, pos = { x = -1737.808, y = 137.319, z = 3256.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 30, area_id = 23 },
	{ config_id = 126004, gadget_id = 70270008, pos = { x = -1737.808, y = 159.566, z = 3256.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 30, area_id = 23 }
}

-- 区域
regions = {
	{ config_id = 126002, shape = RegionShape.POLYGON, pos = { x = -1572.245, y = 157.440, z = 3300.911 }, height = 109.332, point_array = { { x = -1510.160, y = 3440.657 }, { x = -1403.460, y = 3454.130 }, { x = -1320.843, y = 3498.219 }, { x = -1240.959, y = 3448.388 }, { x = -1296.315, y = 3385.158 }, { x = -1480.682, y = 3218.459 }, { x = -1632.369, y = 3156.728 }, { x = -1782.912, y = 3103.603 }, { x = -1887.765, y = 3113.626 }, { x = -1903.531, y = 3149.611 }, { x = -1884.170, y = 3216.320 }, { x = -1798.658, y = 3333.780 }, { x = -1669.860, y = 3392.488 } }, area_id = 23 }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 126001, 126003, 126004 },
		regions = { 126002 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_0/VarunaWaterspout"
